/*****************************************************************************
 * $Id: gfx_gfxsys.hh,v 1.5 2006/04/30 23:29:49 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Meta-header file for graphics system.
 *//*
 * LEGAL:	COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#ifndef GFX_GFXSYS_HH
#define GFX_GFXSYS_HH 1

#if GFXSYS_OPENGL
#	include "gfx_gui_opengl.hh"
#	include "gfx_font_opengl.hh"
#	include "gfx_opengl.hh"
#else
#	error
#endif

#endif // GFX_GFXSYS_HH
