/*****************************************************************************
 * $Id: game_pony_python_ifc.hh,v 1.3 2005/11/02 23:50:05 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Game Pony's interface to Python.
 *//*
 * LEGAL:	COPYRIGHT (C) 2005 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#ifndef NO_PYTHON
#if COMPILING_GAME_PONY
#ifndef GAME_PONY_PYTHON_IFC_HH
#define GAME_PONY_PYTHON_IFC_HH 1

bool
PythonModuleGame( void );

// See eng_python.hh.
PYTHON_DEF_FUNC_TYPE_FROM_CPTR( Craft, CRAFT )
#define Craft_FROM_CPTR_OR_ERROR( VAR, CPTR )	PYTHON_DECL_VAR_OR_ERROR( VAR, CPTR, Craft )

#endif // GAME_PONY_PYTHON_IFC_HH
#endif // COMPILING_GAME_PONY
#endif // NO_PYTHON
