/*****************************************************************************
 * $Id: eng_globals.hh,v 1.3 2005/10/29 19:12:17 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Global variables.
 *//*
 * LEGAL:	COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#ifndef ENG_GLOBALS_HH
#define ENG_GLOBALS_HH 1

#if ENG_CC
#define ENGINE_GLOBAL
#else
#define ENGINE_GLOBAL extern
#endif

ENGINE_GLOBAL EngineEvents	gEngineEvent;
ENGINE_GLOBAL Engine		gEng;
#ifndef NO_PYTHON
ENGINE_GLOBAL Python		gPython;
#endif

// Destructors that might destroy a static object should check
// this to avoid calling methods of another destroyed static object.
ENGINE_GLOBAL bool			gExiting;

#endif // ENG_GLOBALS_HH
