/*****************************************************************************
 * $Id: game_base_math.hh,v 1.3 2006/06/02 01:00:41 jimb Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Math functions.
 *//*
 * LEGAL:	COPYRIGHT (C) 2006 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#if COMPILING_GAME
#ifndef GAME_BASE_MATH_HH
#define GAME_BASE_MATH_HH 1

#include "gfx_math.hh"

void
OrientMatrix( Matrix& m /*IN/OUT*/, const WorldVertex& targetWorld );

#endif // GAME_BASE_MATH_HH
#endif // COMPILING_GAME
