/*****************************************************************************
 * $Id: game_pony.hh,v 1.12 2005/11/07 15:52:39 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief
 *//*
 * LEGAL:	COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#ifndef GAME_PONY_HH
#define GAME_PONY_HH 1

#include "game_base_defs.hh"
#include "eng.hh"
#include "eng_tex.hh"
#include "game_base.hh"
#include "game_pony_defs.hh"
#include "game_pony_world.hh"
#if DEBUG
#include "game_pony_debug.hh"
#endif

/// Type signatures.
enum
{
	// Final value.
	TYPESIG_END = TYPESIG_AFTER_GAME_BASE
};

// Animation enums.
#undef  eAnimate
#define eAnimate int
enum //eAnimate
{
	// Final value.
	eAnimate_END = eAnimate_AFTER_GAME_BASE_ENUMS
};

#endif // GAME_PONY_HH
 
// For public release (release_palomino.sh)
#ifndef PUBLIC_RELEASE
#define PUBLIC_RELEASE 1
#endif
